import datetime
class bcolors:
    HEADER = '\033[95m'
    OKBLUE = '\033[94m'
    OKGREEN = '\033[92m'
    WARNING = '\033[93m'
    FAIL = '\033[91m'
    ENDC = '\033[0m'

    def disable(self):
        self.HEADER = ''
        self.OKBLUE = ''
        self.OKGREEN = ''
        self.WARNING = ''
        self.FAIL = ''
        self.ENDC = ''
    
    @staticmethod
    def notification(message):
        return bcolors.WARNING+message+bcolors.ENDC

def progHeader():
    print " _       __      __       ______                                           __            "    
    print "| |     / /___  / /_     / ____/____  ____ ___  ____ ___  ____ _____  ____/ /___  _____  "   
    print "| | /| / // _ \/ __ \   / /    / __ \/ __ `__ \/ __ `__ \/ __ `/ __ \/ __  // _ \/ ___/  "  
    print "| |/ |/ //  __/ /_/ /  / /___ / /_/ / / / / / / / / / / / /_/ / / / / /_/ //  __/ /      "  
    print "|__/|__/ \___/_.___/   \____/ \____/_/ /_/ /_/_/ /_/ /_/\__,_/_/ /_/\__,_/ \___/_/       "  

def notificationMessage(message):
    print bcolors.notification("------------------ %s --------------------" % datetime.datetime.now())
    print bcolors.notification(message)
    print "\n\n"
